<template>
	<view class="container cashier">
		<cu-custom :navbar-data='nvabarData'></cu-custom>
		<view class="container-cash clearfix" :style="{marginTop:CustomBar+'px'}">
			<view class="container-wrapper">
				<view class="cash-icon">
					<image class="icon-image" :src="staticUrl + '/icon/icon-paywring@2x.png'" mode=""></image>
				</view>
				<view class="cash-text">
					大额银联转账耗时较久，大致需要 <text class="tx">5-15分钟</text> 才能
					到账成功。后续您可在订单详情页面查看订单的
					已支付金额和订单状态。
				</view>
			</view>
			<view class="container-button">
				<view class="btn btn-home" @click="this.$api.switchTabTo('/pages/tabBar/home/index')">回到首页</view>
				<view class="btn btn-open" @click="details">查看订单</view>
			</view>
		</view>
	</view>
</template>

<script>
	export default{
		data(){
			return{
				orderId:0,
				nvabarData: {		//顶部自定义导航
					haveBack:false,
					haveHome:true,
					showCapsule:1, // 是否显示左上角图标  1表示显示  0表示不显示,
					showSearch: 0,
					title: '支付结果',  // 导航栏 中间的标题
					textLeft:this.$store.state.isIphone
				},
				payType:'',
				payStatus:false,
				amuntMoney:0,
				successText:'本次支付失败',
				isIphoneX:this.$store.state.isIphoneX,
				CustomBar:this.CustomBar,// 顶部导航栏高度
				
			}
		},
		filters:{
			NumFormat(value) {
			    //处理金额
			    if (value) {
			        return Number(value).toFixed(2)
			    } else {
			        return '0.00'
			    }
			}
		},
		onLoad(option) {
			this.initData(option)
		},
		methods:{
			initData(option){
				const data = JSON.parse(option.data)
				this.orderId = data.data.orderId
				this.payType = data.data.type
				this.amuntMoney = data.data.payAmount
				if(this.payType == 'success'){
					this.payStatus = true
					this.successText = '本次支付成功'
				}else{
					this.payStatus = false
					this.successText = '本次支付失败'
				}
				console.log(this.orderId)
			},
			toAgainPay(){
				this.$api.navigateBack(2)
			},
			details(){
				this.$api.redirectTo('/pages/user/order/order-details?type=share&orderId='+this.orderId)
			}
		},
		onShow() {
			
		}
	}
</script>

<style lang="scss">
	page{
		height: auto !important;
	}
	.container-cash{
		width: 100%;
		.container-wrapper{
			width:100%;
			height: auto;
			padding: 120rpx 24rpx 0 24rpx;
			box-sizing: border-box;
			.cash-icon{
				width: 100%;
				height: 260rpx;
				text-align: center;
				.icon-image{
					width: 260rpx;
					height: 260rpx;
					margin: 0 auto;
					display: block;
				}
			}
			.cash-text{
				width: 100%;
				height: 90rpx;
				box-sizing: border-box;
				padding: 0 50rpx;
				text-align: center;
				font-size: $font-size-26;
				color: $text-color;
				line-height: 44rpx;
				padding-bottom: 40rpx;
				.tx{
					color: $color-system;
				}
			}
		}
		.container-button{
			width: 100%;
			box-sizing: border-box;
			padding: 80rpx 75rpx;
			.btn{
				width: 100%;
				height: 90rpx;
				border-radius: 50rpx;
				line-height: 90rpx;
				box-sizing: border-box;
				text-align: center;
				font-size: $font-size-26;
				color: #FFFFFF;
				margin: 24rpx 0;
				&.btn-open{
					background:#FFFFFF;
					border: 1px solid $color-system;
					color: $color-system;
				}
				&.btn-home{
					background:$btn-confirm;
				}
			}
		}
	}
</style>
